跳至主要内容

此浏览器不再受支持。

请升级到 Microsoft Edge 以使用最新的功能、安全更新和技术支持。

下载 Microsoft Edge 有关 Internet Explorer 和 Microsoft Edge 的详细信息
microsoft-foundry.rest.security.o-auth2-auth

Skills

Create a new version of a skill Create a skill version from uploaded files

POST /skills/{name}/versions

Creates a new version of a skill. If the skill does not exist, it will be created. Creates a new version of a skill from uploaded files via multipart form data.

路径参数

name string 必需

The name of the skill. If the skill does not exist, it will be created.

标头参数

Foundry-Features enum 必需

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Skills=V1Preview

查询参数

api-version string 必需

The API version to use for this operation.

请求正文

The multipart request content.

Content-Type: application/json
inline_content SkillInlineContent

Inline content for defining a simple skill without uploading files. Follows the agentskills.io SKILL.md specification.

description string 必需

A human-readable description of what the skill does and when to use it.

instructions string 必需

The skill instructions in markdown format. This is the body content of the SKILL.md file.

license string

License name or reference to a bundled license file.

compatibility string

Environment requirements or compatibility notes for the skill.

metadata object

Arbitrary key-value metadata for additional properties.

[key: string] string
allowed_tools string[]

List of pre-approved tools the skill may use. Experimental.

default boolean

Whether to set this version as the default.

Content-Type: multipart/form-data
files any[] 必需

Skill files to upload. Upload a single zip file or multiple individual files with relative paths.

default boolean

Whether to set this version as the default. Defaults to false.

响应

The request has succeeded.

正文

Content-Type: application/json
id string 必需

The unique identifier of the skill version.

skill_id string 必需

The identifier of the parent skill.

name string 必需

A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.

version string 必需

The version identifier. Skill versions are immutable.

description string 必需

A human-readable description of the skill version.

created_at integer 必需

Client error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

请求

POST /skills/{name}/versions HTTP/1.1

响应

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-cn
你的隐私选择
  • AI 免责声明
  • 早期版本
  • 博客
  • 参与
  • 隐私
  • 消费者健康隐私
  • 使用条款
  • 商标
  • © Microsoft 2026